summaryrefslogtreecommitdiff
path: root/net-im
diff options
context:
space:
mode:
Diffstat (limited to 'net-im')
-rw-r--r--net-im/psi/ChangeLog7
-rw-r--r--net-im/psi/Manifest17
-rw-r--r--net-im/psi/files/digest-psi-0.11_beta26
-rw-r--r--net-im/psi/files/psi-slotted_qca2.patch24
-rw-r--r--net-im/psi/psi-0.11_beta2.ebuild142
5 files changed, 196 insertions, 0 deletions
diff --git a/net-im/psi/ChangeLog b/net-im/psi/ChangeLog
new file mode 100644
index 000000000..a4cb574a3
--- /dev/null
+++ b/net-im/psi/ChangeLog
@@ -0,0 +1,7 @@
+# ChangeLog for net-im/psi
+# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 19 Jun 2006; Gustavo Felisberto <humpback@gentoo.org>; ChangeLog:
+ Imported and changed a bit from ebuild in bug #131528
+
diff --git a/net-im/psi/Manifest b/net-im/psi/Manifest
new file mode 100644
index 000000000..f9eed20d5
--- /dev/null
+++ b/net-im/psi/Manifest
@@ -0,0 +1,17 @@
+AUX psi-slotted_qca2.patch 844 RMD160 127d07be73bd2d354423a4f6a832677d20bd3859 SHA1 79fdc3fa7bed934824214900ca4c30200010aa6c SHA256 eed058e8584ad3006b9e2233162141001c6144c56f17a37025889086ad668641
+MD5 130958f9536137e943c9d9bb96e56f23 files/psi-slotted_qca2.patch 844
+RMD160 127d07be73bd2d354423a4f6a832677d20bd3859 files/psi-slotted_qca2.patch 844
+SHA256 eed058e8584ad3006b9e2233162141001c6144c56f17a37025889086ad668641 files/psi-slotted_qca2.patch 844
+DIST psi-0.11-beta2.tar.bz2 1394628 RMD160 b191cb3158104b936de1694353b51462ca70aeb1 SHA1 e26bd4a8fb3e919ff01c0b2ad9e0d70ae854b009 SHA256 95d2040d1566a223cebfd4af22809c1bc8be0a10a92debed681caf1812f7846e
+DIST psi-branchupdate-20060618.patch.bz2 813069 RMD160 b1dc00eb67d234035109ba7f2a7caaf5305a52c0 SHA1 256f9673be70d17a7d0ff473f2bf5c4da5263b22 SHA256 774834bfd2f1d157c7770fdaf39f8e67d25ef1457e4e865a8bdc19f7c3f9f6a2
+EBUILD psi-0.11_beta2.ebuild 4405 RMD160 97d9439775f0a0d818c31eef523c5dcb381a8b3b SHA1 3b6d97cd900ebc1473da46b44aec4650b0ad25f5 SHA256 299c2a5acb890987d75dd160661e6d91da6e7015739803b13a63cdb534412ee2
+MD5 c8befeb48cba9154e1251f79c5de8956 psi-0.11_beta2.ebuild 4405
+RMD160 97d9439775f0a0d818c31eef523c5dcb381a8b3b psi-0.11_beta2.ebuild 4405
+SHA256 299c2a5acb890987d75dd160661e6d91da6e7015739803b13a63cdb534412ee2 psi-0.11_beta2.ebuild 4405
+MISC ChangeLog 236 RMD160 3a2f4302b764386df18f6594db751740cd1539c9 SHA1 00f44a8bc18e9a4ec8294c7249516d051d4de030 SHA256 8f4d21f9b52fa0219c62911720e74b10bdf52ac9032b4236113d749235047cad
+MD5 7d3865e7fb158cc1bd652a4ed4db0af3 ChangeLog 236
+RMD160 3a2f4302b764386df18f6594db751740cd1539c9 ChangeLog 236
+SHA256 8f4d21f9b52fa0219c62911720e74b10bdf52ac9032b4236113d749235047cad ChangeLog 236
+MD5 92ab347d6f323b70a9d90f32d7f7ac22 files/digest-psi-0.11_beta2 536
+RMD160 6375dda35ec3ac0fc8852a0653e8564f2e3be406 files/digest-psi-0.11_beta2 536
+SHA256 bbda3df423d34703590980bfa4cc6b9ae37d8088170b11250108fced24dd561e files/digest-psi-0.11_beta2 536
diff --git a/net-im/psi/files/digest-psi-0.11_beta2 b/net-im/psi/files/digest-psi-0.11_beta2
new file mode 100644
index 000000000..f8b55dd33
--- /dev/null
+++ b/net-im/psi/files/digest-psi-0.11_beta2
@@ -0,0 +1,6 @@
+MD5 edb42248380b432283f8f3e9ceaeda2b psi-0.11-beta2.tar.bz2 1394628
+RMD160 b191cb3158104b936de1694353b51462ca70aeb1 psi-0.11-beta2.tar.bz2 1394628
+SHA256 95d2040d1566a223cebfd4af22809c1bc8be0a10a92debed681caf1812f7846e psi-0.11-beta2.tar.bz2 1394628
+MD5 7fd1b1f5cb25a9e00c8f211dc13b71c4 psi-branchupdate-20060618.patch.bz2 813069
+RMD160 b1dc00eb67d234035109ba7f2a7caaf5305a52c0 psi-branchupdate-20060618.patch.bz2 813069
+SHA256 774834bfd2f1d157c7770fdaf39f8e67d25ef1457e4e865a8bdc19f7c3f9f6a2 psi-branchupdate-20060618.patch.bz2 813069
diff --git a/net-im/psi/files/psi-slotted_qca2.patch b/net-im/psi/files/psi-slotted_qca2.patch
new file mode 100644
index 000000000..f57057f84
--- /dev/null
+++ b/net-im/psi/files/psi-slotted_qca2.patch
@@ -0,0 +1,24 @@
+diff -Naur psi-0.11-beta2-orig/iris/example/example.pri psi-0.11-beta2/iris/example/example.pri
+--- psi-0.11-beta2-orig/iris/example/example.pri 2006-04-19 16:28:24.000000000 +0000
++++ psi-0.11-beta2/iris/example/example.pri 2006-06-18 22:37:14.000000000 +0000
+@@ -26,7 +26,7 @@
+ #DEPENDPATH += $$QCA_PREFIX
+ #HEADERS += $$QCA_PREFIX/qca.h $$QCA_PREFIX/qcaprovider.h
+ #SOURCES += $$QCA_PREFIX/qca.cpp
+-LIBS += -lqca
++LIBS += -lqca-2
+
+ # iris
+ exists(iris) {
+diff -Naur psi-0.11-beta2-orig/iris.pri psi-0.11-beta2/iris.pri
+--- psi-0.11-beta2-orig/iris.pri 2006-04-19 16:28:24.000000000 +0000
++++ psi-0.11-beta2/iris.pri 2006-06-18 22:34:51.000000000 +0000
+@@ -6,7 +6,7 @@
+ # qca
+ #unix:{
+ # INCLUDEPATH += /usr/local/include
+-# LIBS += -L/usr/local/lib -lqca
++# LIBS += -L/usr/local/lib -lqca-2
+ #}
+ #win32:{
+ # INCLUDEPATH += c:\local\include
diff --git a/net-im/psi/psi-0.11_beta2.ebuild b/net-im/psi/psi-0.11_beta2.ebuild
new file mode 100644
index 000000000..634c08fdd
--- /dev/null
+++ b/net-im/psi/psi-0.11_beta2.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils qt4
+
+# usefull for test/rc releases
+MY_PV="${PV/_/-}"
+MY_P="${PN}-${MY_PV}"
+
+HTTPMIRR="http://vivid.dat.pl/psi"
+IUSE="ssl crypt xmms xscreensaver"
+#QV="2.0"
+
+DESCRIPTION="QT 4.x Jabber Client, with Licq-like interface"
+HOMEPAGE="http:/psi-im.org/"
+# translations from http://tanoshi.net/language.html
+# polish translation contains special texts for patches from extras-version
+SRC_URI="mirror://sourceforge/psi/${MY_P}.tar.bz2
+ ${HTTPMIRR}/psi-branchupdate-20060618.patch.bz2"
+# linguas_ar? ( ${HTTPMIRR}/psi_ar-0.9.3.tar.bz2 )
+# linguas_bg? ( ${HTTPMIRR}/psi_bg-0.10-a.tar.bz2 )
+# linguas_ca? ( ${HTTPMIRR}/psi_ca-0.9.3.tar.bz2 )
+# linguas_cs? ( ${HTTPMIRR}/psi_cs-0.9.3-a.tar.bz2 )
+# linguas_da? ( ${HTTPMIRR}/psi_da-0.9.3.tar.bz2 )
+# linguas_de? ( ${HTTPMIRR}/psi_de-0.9.3-c.tar.bz2 )
+# linguas_ee? ( ${HTTPMIRR}/psi_ee-0.9.3_rc1.tar.bz2 )
+# linguas_el? ( ${HTTPMIRR}/psi_el-0.9.3-a.tar.bz2 )
+# linguas_eo? ( ${HTTPMIRR}/psi_eo-0.10-a.tar.bz2 )
+# linguas_es? ( ${HTTPMIRR}/psi_es-0.10-a.tar.bz2 )
+# linguas_et? ( ${HTTPMIRR}/psi_et-0.9.3-a.tar.bz2 )
+# linguas_fi? ( ${HTTPMIRR}/psi_fi-0.9.3.tar.bz2 )
+# linguas_fr? ( ${HTTPMIRR}/psi_fr-0.9.3-a.tar.bz2 )
+# linguas_it? ( ${HTTPMIRR}/psi_it-0.9.3.tar.bz2 )
+# linguas_jp? ( ${HTTPMIRR}/psi_jp-0.9.3.tar.bz2 )
+# linguas_hu? ( ${HTTPMIRR}/psi_hu-0.10-a.tar.bz2 )
+# linguas_mk? ( ${HTTPMIRR}/psi_mk-0.10-a.tar.bz2 )
+# linguas_nl? ( ${HTTPMIRR}/psi_nl-0.10-a.tar.bz2 )
+# linguas_pl? ( ${HTTPMIRR}/psi_pl-0.9.3-1.tar.bz2 )
+# linguas_pt? ( ${HTTPMIRR}/psi_pt-0.9.3.tar.bz2 )
+# linguas_ptBR? ( ${HTTPMIRR}/psi_ptBR-0.10-a.tar.bz2 )
+# linguas_ru? ( ${HTTPMIRR}/psi_ru-0.9.3-a.tar.bz2 )
+# linguas_se? ( ${HTTPMIRR}/psi_se-0.9.3_rc1.tar.bz2 )
+# linguas_sk? ( ${HTTPMIRR}/psi_sk-0.9.3-a.tar.bz2 )
+# linguas_sl? ( ${HTTPMIRR}/psi_sl-0.10-a.tar.bz2 )
+# linguas_sr? ( ${HTTPMIRR}/psi_sr-0.9.3.tar.bz2 )
+# linguas_sv? ( ${HTTPMIRR}/psi_sv-0.9.3.tar.bz2 )
+# linguas_sw? ( ${HTTPMIRR}/psi_sw-0.9.3.tar.bz2 )
+# linguas_vi? ( ${HTTPMIRR}/psi_vi-0.10-a.tar.bz2 )
+# linguas_zh? ( ${HTTPMIRR}/psi_zh-0.9.3-a.tar.bz2 )"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~x86 ~amd64"
+
+#After final relase we do not need this
+S="${WORKDIR}/${MY_P}"
+
+DEPEND=">app-crypt/qca-1.99
+ $(qt_min_version 4.1.3)
+ xscreensaver? ( x11-misc/xscreensaver )
+ xmms? ( media-sound/xmms )"
+
+RDEPEND="${DEPEND}
+ ssl? ( app-crypt/qca-openssl )
+ crypt? ( app-crypt/qca-gnupg )"
+
+src_unpack() {
+ einfo "This package fails building on some systems. Work is in progress
+ to fix those issues"
+ unpack ${A}
+
+ cd ${S}
+ epatch ${WORKDIR}/psi-branchupdate-20060618.patch
+ epatch ${FILESDIR}/psi-slotted_qca2.patch
+# epatch ${FILESDIR}/psi-pathfix2.patch
+# epatch ${FILESDIR}/psi-desktop2.patch
+# epatch ${FILESDIR}/psi-reverse_trayicon2.patch
+
+ einfo ""
+ einfo "Unpacking language files, you must have linguas_* in USE where"
+ einfo "'*' is the language files you wish. English is always available"
+ einfo ""
+ cd ${WORKDIR}
+ if ! [ -d langs ] ; then
+ mkdir langs
+ fi
+ local i
+ for i in `ls -c1 | grep "\.{ts,qm}$"` ; do
+ mv $i langs
+ done
+}
+
+src_compile() {
+ # growl is mac osx extension only - maybe someday we will want this
+ local myconf="--disable-growl"
+
+ use xscreensaver || myconf="${myconf} --disable-xss"
+ use xmms || myconf="${myconf} --disable-xmms"
+
+ QTDIR=/usr/lib ./configure --prefix=/usr ${myconf} || die "configure failed"
+
+ # for CXXFLAGS from make.conf
+ cd ${S}/src
+ qmake src.pro \
+ QTDIR=/usr/lib \
+ QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}" \
+ QMAKE=/usr/bin/qmake \
+ QMAKE_RPATH= \
+ || die "qmake failed"
+
+ cd ${S}
+ qmake psi.pro \
+ QTDIR=/usr/lib \
+ QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS}" \
+ QMAKE=/usr/bin/qmake \
+ QMAKE_RPATH= \
+ || die "qmake failed"
+
+ emake || die "make failed"
+
+ einfo "Building language packs"
+ cd ${WORKDIR}/langs
+ for i in `ls -c1 | grep "\.ts$"` ; do
+ lrelease $i
+ done;
+}
+
+src_install() {
+ einfo "Installing"
+ make INSTALL_ROOT="${D}" install || die "Make install failed"
+
+ #this way the docs will also be installed in the standard gentoo dir
+ for i in roster system emoticons; do
+ newdoc ${S}/iconsets/${i}/README README.${i}
+ done;
+ newdoc certs/README README.certs
+ dodoc ChangeLog README TODO
+
+ #Install language packs
+ cp ${WORKDIR}/langs/psi_*.qm ${D}/usr/share/psi/
+}